Name: isdn4net
Version: 1.4.6
Release: alt2

Packager: Aleksandr Blokhin 'Sass' <sass@altlinux.ru>

License: GPL
Url: http://www.terminator.net/isdn4net/
Summary: Networking with the isdn subsystem
Summary(ru_RU.CP1251):      isdn.
Group: Networking/Remote access

Source0: %name-%version.tar.bz2
Patch2: isdn4net-1.4.3-extended.patch.gz
Patch3: isdn4net-isdn4linux.patch.gz
Patch4: isdn4net-isdn4linux2.patch.gz

BuildArch: noarch

%description
This package provides several scripts to do networking with isdn4linux, several
sample configurations for card and ippp setup and small configuration and
admin utility.

%description -l ru_RU.CP1251
       isdn2linux,  
   ippp,      .

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_initdir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/isdn/{timru,budget}
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/{link,card}
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts

# Install initscript
install init.d/isdn4linux $RPM_BUILD_ROOT%_initdir
install init.d/isdnlog $RPM_BUILD_ROOT%_initdir

# Install frontend
install bin/isdn $RPM_BUILD_ROOT%_bindir/isdn

# Install network scripts
install network-scripts/ifup-ippp $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts
install network-scripts/ifdown-ippp $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts
install network-scripts/ifup-isdn $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts
install network-scripts/ifdown-isdn $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts

# Install default config files
install defaults/ifcfg-ippp0 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/ifcfg-ippp0
install defaults/ifcfg-isdn0 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-scripts/ifcfg-isdn0
install -m644 defaults/isdn $RPM_BUILD_ROOT%_sysconfdir/sysconfig/isdn
install -m644 defaults/card.default $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/card.default
install -m644 defaults/ippp.default $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/ippp.default
install -m644 defaults/isdn.default $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/isdn.default
install -m644 defaults/isdn.map $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/isdn.map
install -m644 defaults/ippp.map $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/ippp.map
install -m644 defaults/mycard $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/card/mycard
install -m644 defaults/myisp $RPM_BUILD_ROOT%_sysconfdir/isdn/profile/link/myisp
install defaults/timru/ippp0 $RPM_BUILD_ROOT%_sysconfdir/isdn/timru/ippp0
install -m644 defaults/my_isdnlog.conf $RPM_BUILD_ROOT%_sysconfdir/isdn/my_isdnlog.conf

#%post
#echo -n "Activating isdn4linux card init:"
#chkconfig --del isdn4linux
#chkconfig --add isdn4linux
#echo " done."

%preun
echo -n "Deactivating isdn4linux card init:"
/sbin/chkconfig --del isdnlog
/sbin/chkconfig --del isdn4linux
echo " done."

%files
%_bindir/isdn
%config(noreplace) %_initdir/isdn4linux
%config(noreplace) %_initdir/isdnlog
%config(noreplace) %_sysconfdir/sysconfig/isdn
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifup-ippp
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifdown-ippp
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifup-isdn
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifdown-isdn
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifcfg-ippp0
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifcfg-isdn0
%config(noreplace) %_sysconfdir/isdn/profile/card.default
%config(noreplace) %_sysconfdir/isdn/profile/ippp.default
%config(noreplace) %_sysconfdir/isdn/profile/isdn.default
%config(noreplace) %_sysconfdir/isdn/profile/ippp.map
%config(noreplace) %_sysconfdir/isdn/profile/isdn.map
%config(noreplace) %_sysconfdir/isdn/profile/link/myisp
%config(noreplace) %_sysconfdir/isdn/profile/card/mycard
%config(noreplace) %_sysconfdir/isdn/timru/ippp0
%config(noreplace) %_sysconfdir/isdn/my_isdnlog.conf
%doc doc/{CHANGES,INSTALL.quick,README.RPM,hisax.help,i4n.help} samples README ChangeLog COPYING

%dir %_sysconfdir/isdn
%dir %_sysconfdir/isdn/profile
%dir %_sysconfdir/isdn/profile/link
%dir %_sysconfdir/isdn/profile/card
%dir %_sysconfdir/isdn/timru
%dir %_sysconfdir/isdn/budget

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.4.6-alt2
- rebuild

* Sat Jun 22 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.4.6-alt1
- 1.4.6
- removed obsoleted isdn4net-1.4.3-mdk.patch
- updated extended.patch (updated cardtypes and fixed path)
- updated isdn4linux2.patch
- updated spec

* Sun Jan 14 2001 AEN <aen@logic.ru>
- RE adaptation

* Mon Nov 27 2000 dam's <damien@mandrakesoft.com> 1.4.3-10mdk
- corrected isdn4linux init script (patch n4 isdn4linux2)

* Thu Sep 14 2000 dam's <damien@mandrakesoft.com> 1.4.3-9mdk
- removed packager tag.
- removed iniscript install. dadou sux. Redhog too.
- transfomed the redhog modifs to a patch (n3 isdn4linux)

* Wed Sep  6 2000 dam's <damien@mandrakesoft.com> 1.4.3-8mdk
- removed cat isdn doc in post...

* Fri Sep  1 2000 dam's <damien@mandrakesoft.com> 1.4.3-7mdk
- added noreplace.

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.3-6mdk
- Apply RedHog modification in init
- Fix Description

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 1.4.3-5mdk
- removed patch 1 and integrated it in the specfile.

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 1.4.3-4mdk
- BM + macros.
- changed /usr/local/bin/isdn to /usr/bin/isdn (patch 1 rpm-install)
- added patch 2 (extended) to support more isdn cards.

* Fri Mar 31 2000 Jesse Kuang <kjx@linux-mandrake.com> 1.4.3-3mdk
- Release.

* Sat Feb 26 2000 Jesse Kuang <kjx@linux-mandrake.com>
- build noarch package

* Sat Jan 29 2000 Jesse Kuang <kjx@linux-mandrake.com>
- update to isdn4net-1.4.3, fixes isdn shell script for bash 1.14

* Fri Jan 07 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed braindead symlinks
- Fixed YAT (Yet Another Typo (tm)) in /usr/bin/isdn script
- SysV symlinks in specs disagreed with those of chkconfig, fixed

* Wed Nov 10 1999 John Buswell <johnb@mandrakesoft.com>
- Added BuildRoot
- Fixed path and permissions
- Build Release

* Sun Jun 27 1999 Jesse Kuang <kjx@linux.org.cn>
- add support for more mppp, SLAVE for ippp32/ippp33 ...
- Chmouel:
	More mandrake adaptations.
